# 4. İptal Geri Çek

<mark style="color:green;">`POST`</mark> `{{Base Address}}/api/payment/sync/cancel/rollback`

Yukarıda verilmiş olan adrese istek atmanız yeterli olacaktır. Test ortamı ve Gerçek ortam için 'Base Address' istediğiniz gibi kullanabilirsiniz.

{% hint style="warning" %}
İptal emirlerinizi ilk 5 saniye içerisinde geri alamazsınız
{% endhint %}

{% hint style="warning" %}
Cihazda devreye giren iptal emirleri geri alınamaz. **İptal emirlerinin geri alınabilmesi için cihaz tarafından teslim alınmamış olması gerekmektedir**
{% endhint %}

{% hint style="info" %}
Önemli: **Sync İptal Geri Çekme** servisini kullanabilmeniz için 'Header' alanında '**apikeyprivate**' ve '**apiclientprivate**' parametrelerini göndermeniz gerekmektedir.\
\
[<mark style="color:green;">**PhysicalAPI Adresi**</mark>](https://developer.paywall.one/ortam)
{% endhint %}

#### Servise gönderilmesi gereken header bilgileri şu şekildedir:

<table><thead><tr><th width="243">Parametre</th><th width="106.33333333333331">Tip</th><th width="97">Zorunlu</th><th>Açıklama</th></tr></thead><tbody><tr><td>apikeyprivate</td><td>string</td><td>Evet</td><td>Üye işyeri panelinden temin etmiş olduğunuz Private Key.</td></tr><tr><td>apiclientprivate</td><td>string</td><td>Evet</td><td>Üye işyeri panelinden temin etmiş olduğunuz Private Client.</td></tr></tbody></table>

**Servise gönderilmesi gereken body bilgileri şu şekildedir:**

{% tabs %}
{% tab title="Json" %}

```json
{
    "PaymentRequestId": "cc67bd38-ed83-4031-8be7-3ed4b80b7042"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="268">Parametre</th><th width="98.33333333333331">Tip</th><th width="112">Zorunlu</th><th>Açıklama</th></tr></thead><tbody><tr><td><pre><code>PaymentRequestId
</code></pre></td><td>Guid</td><td>Evet</td><td>Satış emri anında PayWall'dan dönen kimlik bilgisidir</td></tr></tbody></table>

**Servisten dönen cevap:**

<table><thead><tr><th width="182">Parametre</th><th width="107.33333333333331">Tip</th><th>Açıklama</th></tr></thead><tbody><tr><td>Result</td><td>object</td><td>Servisin detayındaki bilgileri döner</td></tr><tr><td>ErrorCode</td><td>int</td><td>Hata kodu. İşlem başarılı ise '0' değerini döner.</td></tr><tr><td>Succeeded</td><td>bool</td><td>True ya da false değeri döner. İşlem <mark style="color:green;">başarılı</mark> iste 'true' değerini döner</td></tr><tr><td>Failed</td><td>bool</td><td>True ya da false değeri döner. İşlem <mark style="color:red;">başarısız</mark> iste 'true' değerini döner</td></tr><tr><td>Message</td><td>string</td><td>İşlem hatalıysa, bu hataya dair belirtilen mesajdır, locale parametresine göre dil desteği sunar.</td></tr><tr><td>ClientMessage</td><td>string</td><td>Paywall hata kodlarının sabit değerlerini döner. Map'leme yapabilirsiniz</td></tr></tbody></table>

{% tabs %}
{% tab title="Json" %}
{% code overflow="wrap" lineNumbers="true" %}

```json5
{
    "result": {
        "paymentRequestId": "72ec8714-d116-4306-8881-38a43c485da9",
        "paymentRequestActivityId": "3a7deace-d437-4d3f-8ef8-1cba82f18e8f",
        "paymentRequestActivityTypeId": 2,
        "paymentStatus": 4
    },
    "failed": false,
    "message": null,
    "clientMessage": null,
    "succeeded": true
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

<table><thead><tr><th width="319">Parametre</th><th width="83.33333333333331">Tip</th><th>Açıklama</th></tr></thead><tbody><tr><td><pre><code>PaymentRequestId
</code></pre></td><td>Guid</td><td>Async ödemenin Paywall'daki kimlik bilgisidir. <strong>Saklanmalıdır</strong></td></tr><tr><td><pre><code>PaymentRequestActivityId
</code></pre></td><td>Guid</td><td>Async ödemenin son hareketinin kimlik bilgisidir</td></tr><tr><td><pre><code>PaymentRequestActivityTypeId
</code></pre></td><td>int</td><td>Async ödemenin son işlem tipi<br><br>Bkz: <a href="../../sistem-verileri/odeme-tipleri">Ödeme Tipi</a></td></tr><tr><td><pre><code>PaymentStatus
</code></pre></td><td>int</td><td>Async ödemenin son durumu<br><br>Bkz: <a href="../../sistem-verileri/odeme-durumu">Ödeme Durumu</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.paywall.one/fiziksel-pos/6.-odeme/sync/4.-iptal-geri-cek.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
